<link href="style.css" rel="stylesheet" type="text/css" /> 
<h4>Default Suite >> selenium-testng-template (1 Passed, 2 Failed, 0 Skipped)</h4>

<table border="1" cellspacing="0">
<tr>
	<td>Test Method</td>
	<td>Log</td>
	<td>Screen Shot</td>
</tr>
<tr>
	<td class="passed">test.template.cases.Ivy.Login.openBrower()</td>
	<td><pre>2024-08-15 15:46:14,967 [INFO] [SeleniumUtils] Capture the screen.
2024-08-15 15:46:15,297 [INFO] [SeleniumUtils] Save screenshot as: 12304097e08d455faf7bfcd123186c5c.png
</pre></td>
	<td><a href="./screen_shots/12304097e08d455faf7bfcd123186c5c.png"><img src="./screen_shots/thumb_12304097e08d455faf7bfcd123186c5c.png"></a></td>
</tr>

<tr>
	<td class="failed">test.template.cases.Ivy.Login.select_tenant()</td>
	<td><pre>2024-08-15 15:46:16,821 [INFO] [HtmlReporter] Test Fail: select_tenant
2024-08-15 15:46:16,821 [INFO] [SeleniumUtils] Capture the screen.
2024-08-15 15:46:17,156 [INFO] [SeleniumUtils] Save screenshot as: c1fb618af9ff48d9aed0cd921a478c10.png
java.lang.NullPointerException: Cannot invoke "org.openqa.selenium.remote.RemoteWebDriver.findElements(org.openqa.selenium.By)" because "test.template.pages.LoginPageObject.driver" is null
	at test.template.pages.LoginPageObject.getRandomTenantButton(LoginPageObject.java:67)
	at test.template.pages.LoginPageObject.selectTenant(LoginPageObject.java:85)
	at test.template.cases.Ivy.Login.select_tenant(Login.java:18)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)
	at java.base/java.lang.reflect.Method.invoke(Method.java:580)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:134)
	at org.testng.internal.TestInvoker.invokeMethod(TestInvoker.java:597)
	at org.testng.internal.TestInvoker.invokeTestMethod(TestInvoker.java:173)
	at org.testng.internal.MethodRunner.runInSequence(MethodRunner.java:46)
	at org.testng.internal.TestInvoker$MethodInvocationAgent.invoke(TestInvoker.java:816)
	at org.testng.internal.TestInvoker.invokeTestMethods(TestInvoker.java:146)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:146)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:128)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1597)
	at org.testng.TestRunner.privateRun(TestRunner.java:766)
	at org.testng.TestRunner.run(TestRunner.java:587)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:384)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:378)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:337)
	at org.testng.SuiteRunner.run(SuiteRunner.java:286)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:53)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:96)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1187)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1109)
	at org.testng.TestNG.runSuites(TestNG.java:1039)
	at org.testng.TestNG.run(TestNG.java:1007)
	at com.intellij.rt.testng.IDEARemoteTestNG.run(IDEARemoteTestNG.java:65)
	at com.intellij.rt.testng.RemoteTestNGStarter.main(RemoteTestNGStarter.java:105)
</pre></td>
	<td><a href="./screen_shots/c1fb618af9ff48d9aed0cd921a478c10.png"><img src="./screen_shots/thumb_c1fb618af9ff48d9aed0cd921a478c10.png"></a></td>
</tr>
<tr>
	<td class="failed">test.template.cases.Ivy.Login.login_with_password()</td>
	<td><pre>2024-08-15 15:46:15,897 [INFO] [LoginPageObject] Input email: hani+090801@offspringdigital.com
2024-08-15 15:46:16,098 [INFO] [LoginPageObject] Input password: 12345qQ@
2024-08-15 15:46:16,235 [INFO] [LoginPageObject] Click on login button
2024-08-15 15:46:16,389 [INFO] [LoginPageObject] Verify t select account: Select Account
2024-08-15 15:46:16,391 [INFO] [HtmlReporter] Test Fail: login_with_password
2024-08-15 15:46:16,392 [INFO] [SeleniumUtils] Capture the screen.
2024-08-15 15:46:16,720 [INFO] [SeleniumUtils] Save screenshot as: 50d7562eb3934fe5a753e1e8ead8899d.png
java.lang.NullPointerException: Cannot invoke "org.openqa.selenium.remote.RemoteWebDriver.findElement(org.openqa.selenium.By)" because "test.template.pages.LoginPageObject.driver" is null
	at test.template.pages.LoginPageObject.verifyTextTenant(LoginPageObject.java:48)
	at test.template.cases.Ivy.Login.login_with_password(Login.java:14)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)
	at java.base/java.lang.reflect.Method.invoke(Method.java:580)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:134)
	at org.testng.internal.TestInvoker.invokeMethod(TestInvoker.java:597)
	at org.testng.internal.TestInvoker.invokeTestMethod(TestInvoker.java:173)
	at org.testng.internal.MethodRunner.runInSequence(MethodRunner.java:46)
	at org.testng.internal.TestInvoker$MethodInvocationAgent.invoke(TestInvoker.java:816)
	at org.testng.internal.TestInvoker.invokeTestMethods(TestInvoker.java:146)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:146)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:128)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1597)
	at org.testng.TestRunner.privateRun(TestRunner.java:766)
	at org.testng.TestRunner.run(TestRunner.java:587)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:384)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:378)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:337)
	at org.testng.SuiteRunner.run(SuiteRunner.java:286)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:53)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:96)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1187)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1109)
	at org.testng.TestNG.runSuites(TestNG.java:1039)
	at org.testng.TestNG.run(TestNG.java:1007)
	at com.intellij.rt.testng.IDEARemoteTestNG.run(IDEARemoteTestNG.java:65)
	at com.intellij.rt.testng.RemoteTestNGStarter.main(RemoteTestNGStarter.java:105)
</pre></td>
	<td><a href="./screen_shots/50d7562eb3934fe5a753e1e8ead8899d.png"><img src="./screen_shots/thumb_50d7562eb3934fe5a753e1e8ead8899d.png"></a></td>
</tr>
</table>

